html {
    scroll-behavior: smooth;
    background-color: #00151a;
    height: 96%;
}
body {
    margin: 0;
    height: 100%;
    font-family: AvenirReg, Arial, Helvetica, sans-serif;
    font-size: 1.3em;
    /* overflow: hidden; */
}
@font-face {
    font-family: AvenirReg;
    src: url(/fonts/AvenirNextLTPro-Regular.otf);
}
@font-face {
    font-family: AvenirBold;
    src: url(/fonts/AvenirNextLTPro-Bold.otf);
}
.msm {
    position: absolute;
    left: calc(50% - 200px);
    top: 200px;
    animation-name: logo;
    animation: logo forwards;
    animation-duration: 4s;
}
@keyframes logo {
    0%   {scale: 1; opacity: 0}
    40%   {scale: 1; opacity: 1}
    70%  {top: 200px; scale: 1; opacity: 1}
    99%  {top: 0px; scale: .5; opacity: 1}
    100%  {top: 0px; scale: .5; opacity: 1}
}
.content {
    position: absolute;
    top: 200px;
    color: #fff;
    animation: txt-fade;
    animation-duration: 5s;
}
@keyframes txt-fade {
    0%   {opacity: 0}
    80%   {opacity: 0}
    100%  {opacity: 1}
}
#welcome{
    padding: 0 100px;
    text-align: center;
}
#welcome > p {
    font-size: 2.5em;
    font-family: AvenirBold;
    color: #FF9900;
}
.button {
    border: 1px solid #FF9900;
    border-radius: 10px;
    color: #FF9900;
    padding: 10px 50px 8px;
    font-family: AvenirReg;
    font-size: 0.9em;
    background-color: rgba(0, 0, 0, 0);
    cursor: pointer;
}
.button:hover {
    border: none;
    color: #FFFFFF;
    font-size: 0.9em;
    background-color: #FF9900;
}
.scrolling-two {
    display: flex;
    justify-content: center;
}
.scrolling {
    padding: 0 20px;
    color: #fff;
    height: 50px;
    display: block;
    margin: auto;
    margin-bottom: 75px;
    animation: updown .4s linear infinite;
}
.house {
    padding: 10px 20px 0;
    color: #fff;
    height: 35px;
    display: block;
    margin: auto;
    margin-bottom: 75px;
}
@keyframes updown {
    0% {transform: translate(0,0)}
    50% {transform: translate(0,7px);}
    100% {transform: translate(0,0);}
}
.banner {
    display: block;
    margin: auto;
    height: 110px;
    text-align: center;
    opacity: .1;
    object-fit: cover;
    animation: gowide linear forwards;
    animation-timeline: view();
    animation-range: 150px 600px;
}
.banner > p {
    font-size: 3em;
    font-family: AvenirBold;
    color: #FF9900;
    line-height: 120px;
}
@keyframes gowide {
    to {width: 100%; opacity: 1;}
}
.gridspace {
    width: 100vw;
    height: 65vh;
    text-align: center;
}
.workspace {
    width: 100vw;
    height: 70vh;
    text-align: center;
}
#working4 {
    width: 100vw;
    height: 70vh;
    text-align: center;
}
.skills-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    padding: 10px;
    margin: 30px 100px 0px;
}
.skills-grid > div {
    padding: 0 30px;
}
.works-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px; 
    padding: 0 30px;
}

.works-box {
    cursor: pointer;
    color: #FF9900;
    font-size: 24px;
    border-style: solid;
    border-width: 1px;
    border-color: #FF9900;
    border-radius: 5px;
    height: 65vh;
}
.container-overlay {
    position: relative;
    top: 0;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
}
.overlay {
    position: absolute;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .3s ease;
    background-color: #000000;
    border-radius: 5px;
}
.text-overlay {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    opacity: 0;
    transition: .3s ease;
}
.container-overlay:hover .overlay {
    opacity: .8;
}
.container-overlay:hover .text-overlay {
    opacity: 1;
}

#icons {
    display: flex;
    justify-content: center;
}
#icons > a {
    margin: 15px 10px;
}
@media only screen and (max-width: 600px) {
    #welcome {
        padding: 0 30px 30px;
    }
    .banner {
        height: 120px;
    }
    #skillstxt {
        padding: 0px 35px 0px;
    }
    .skills-grid {
        grid-template-columns: 1fr 1fr;
        gap: 15px;
        padding: 5px;
        margin: 0px 30px 0px;
    }
    .skills-grid > div {
        padding: 5px;
        font-size: 18px;
    }
    .bgimg {
        height: 600px;
    }
    #myworktxt {
        padding: 20px 30px 0px;
    }
}

.bg {
  animation:slide 3s ease-in-out infinite alternate;
  background-image: linear-gradient(-60deg, #000d21 50%, #001d48 50%);
  bottom:0;
  left:-50%;
  opacity:.5;
  position:fixed;
  right:-50%;
  top:0;
  z-index:-1;
}

.bg2 {
  animation-direction:alternate-reverse;
  animation-duration:4s;
}

.bg3 {
  animation-duration:5s;
}
@keyframes slide {
  0% {
    transform:translateX(-25%);
  }
  100% {
    transform:translateX(25%);
  }
}